import request from '@/utils/request'

//分页获取电站列表
export function getStatationStatPageList(data) {
    return request({
        url: '/device-boot/pms/statationStat/getStatationStatPageList',
        method: 'post',
        data
    })
}
// 新增电站
export function addstatationStat(data) {
    return request({
        url: '/device-boot/pms/statationStat/addstatationStat',
        method: 'post',
        data
    })
}
// 修改发电用户
export function updatestatationStat(data) {
    return request({
        url: '/device-boot/pms/statationStat/updatestatationStat',
        method: 'post',
        data
    })
}

//删除用电用户
export function delstatationStat(data) {
    return request({
        url: '/device-boot/pms/statationStat/delstatationStat',
        method: 'delete',
        data
    })
}

//删除用电用户
export function midStationChange(data) {
    return request({
        url: '/device-boot/pms/statationStat/getStationByDeptCode',
        method: 'post',
        params: data
    })
}

//网公司上送接口
export function objType(data) {
    return request({
        url: '/device-boot/monitorStatistics/objType',
        method: 'post',
        params: data
    })
}

export function objTypeStatis(data) {
    return request({
        url: '/device-boot/monitorStatistics/objTypeStatis',
        method: 'post',
        params: data
    })
}
